//
//  Copyright 2004 by Autodesk, Inc.
//
//  Permission to use, copy, modify, and distribute this software in
//  object code form for any purpose and without fee is hereby granted, 
//  provided that the above copyright notice appears in all copies and 
//  that both that copyright notice and the limited warranty and
//  restricted rights notice below appear in all supporting 
//  documentation.
//
//  AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS. 
//  AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
//  MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC. 
//  DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
//  UNINTERRUPTED OR ERROR FREE.
//
//  Use, duplication, or disclosure by the U.S. Government is subject to 
//  restrictions set forth in FAR 52.227-19 (Commercial Computer
//  Software - Restricted Rights) and DFAR 252.227-7013(c)(1)(ii)
//  (Rights in Technical Data and Computer Software), as applicable.
//  

// TestDtl_MCPP.h

#ifndef AEC_TESTDTL_MCPP_H
#define AEC_TESTDTL_MCPP_H

using namespace System;
using namespace System::Windows::Forms;
using namespace System::Runtime::InteropServices;
using namespace Autodesk::AutoCAD::Interop::Common;
using namespace Autodesk::AutoCAD::Interop;
using namespace Autodesk::AEC::Interop::Details;

// NOTE: do not use a namespace

public __gc class Class1
{
public:
    static void Test(Object* acadObj);
    static void DrawRectangle(Object* acadObj);
    static void MakeRectangleBookends(Double x, Double y, AcadBlock* startBlkDef, AcadBlock* endBlkDef, bool bHatch);
    static AcadBlock* CreateEmptyBlockDef(AcadApplication* acadApp);
};

#endif // ~AEC_TESTDTL_MCPP_H
